:root{
    --white-color:#fff;
    --container-bg-color:rgba(0,0,0,0.7);
    --light-blue-color:lightblue;
}
*{
    box-sizing: border-box;
}
body{
    font-family: sans-serif;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height:100vh;
    overflow: hidden;
    margin:0;
    background: url('../img/jonny-caspari-QR0hHC5-xAg-unsplash.jpg') no-repeat center center/cover;
    color:var(--white-color);
}
.container{
    background-color: var(--container-bg-color);
    padding:20px 40px;
    border-radius:5px
}
.container h1{
    text-align: center;
    margin-bottom:30px;
}
.container a{
    text-decoration: none;
    color:var(--light-blue-color);
}
.btn{
    cursor: pointer;
    display: inline-block;
    width:100%;
    background-color: var(--light-blue-color);
    padding: 1rem;
    font-family: inherit;
    font-size:1.1rem;
    border:0;
    border-radius: 5px;
}
.btn:focus{
    outline:0;
}
.btn:active{
    transform:scale(0.98);
}
.text{
    margin-top:2rem;
    display: flex;
    flex-flow:row;
    flex-wrap: nowrap;
    justify-content: space-around;
}
.form-control{
    position:relative;
    margin:20px 0 40px;
    width:300px;
}
.form-control input{
    background-color: transparent;
    border:0;
    border-bottom: 2px var(--white-color) solid;
    display: block;
    width:100%;
    padding:15px 0;
    font-size:1.2rem;
    color:var(--white-color);
}
.form-control input:focus,
.form-control input:valid{
    outline:0;
    border-bottom-color:var(--light-blue-color) ;
}
.form-control label{
    position:absolute;
    top:15px;
    left:0;
}
/* after each character turns into a separated <span> using js, the following lines will add a hover effect on it */
.form-control label span{
    display: inline-block;
    font-size:18px;
    min-width:5px;
    transition:0.3s cubic-bezier(0.68,-0.55,0.265,1.55 );
} 
.form-control input:focus + label span, 
.form-control input:valid + label span{
    color:lightblue;
    transform:translateY(-30px);
}